/**
 * Theme Name: Blocksy Child
 * Description: Blocksy Child theme
 * Author: Creative Themes
 * Template: blocksy
 * Text Domain: blocksy
 */
 
 /*Debut GALAXY
 

        #galaxcrosm {
            position: fixed;
            top: 50%;
            left: 50%;
            height: 1px;
            width: 1px;
            background-color: #fff;
            border-radius: 50%;
            box-shadow: -42vw -4vh 0px 0px #fff,25vw -41vh 0px 0px #fff,-20vw 49vh 0px 1px #fff,5vw 40vh 1px 1px #fff,29vw 19vh 1px 0px #fff,-44vw -13vh 0px 0px #fff,46vw 41vh 0px 1px #fff,-3vw -45vh 0px 1px #fff,47vw 35vh 1px 0px #fff,12vw -8vh 1px 0px #fff,-34vw 48vh 1px 1px #fff,32vw 26vh 1px 1px #fff,32vw -41vh 1px 1px #fff,0vw 37vh 1px 1px #fff,34vw -26vh 1px 0px #fff,-14vw -49vh 1px 0px #fff,-12vw 45vh 0px 1px #fff,-44vw -33vh 0px 1px #fff,-13vw 41vh 0px 0px #fff,-36vw -11vh 0px 1px #fff,-23vw -24vh 1px 0px #fff,-38vw -27vh 0px 1px #fff,16vw -19vh 0px 0px #fff,28vw 33vh 1px 0px #fff,-49vw -4vh 0px 0px #fff,16vw 32vh 0px 1px #fff,36vw -18vh 1px 0px #fff,-25vw -30vh 1px 0px #fff,-23vw 24vh 0px 1px #fff,-2vw -35vh 1px 1px #fff,-25vw 9vh 0px 0px #fff,-15vw -34vh 0px 0px #fff,-8vw -19vh 1px 0px #fff,-20vw -20vh 1px 1px #fff,42vw 50vh 0px 1px #fff,-32vw 10vh 1px 0px #fff,-23vw -17vh 0px 0px #fff,44vw 15vh 1px 0px #fff,-40vw 33vh 1px 1px #fff,-43vw 8vh 0px 0px #fff,-48vw -15vh 1px 1px #fff,-24vw 17vh 0px 0px #fff,-31vw 50vh 1px 0px #fff,36vw -38vh 0px 1px #fff,-7vw 48vh 0px 0px #fff,15vw -32vh 0px 0px #fff,29vw -41vh 0px 0px #fff,2vw 37vh 1px 0px #fff,7vw -40vh 1px 1px #fff,15vw 18vh 0px 0px #fff,25vw -13vh 1px 1px #fff,-46vw -12vh 1px 1px #fff,-18vw 22vh 0px 0px #fff,23vw -9vh 1px 0px #fff,50vw 12vh 0px 1px #fff,45vw 2vh 0px 0px #fff,14vw -48vh 1px 0px #fff,23vw 43vh 0px 1px #fff,-40vw 16vh 1px 1px #fff,20vw -31vh 0px 1px #fff,-17vw 44vh 1px 1px #fff,18vw -45vh 0px 0px #fff,33vw -6vh 0px 0px #fff,0vw 7vh 0px 1px #fff,-10vw -18vh 0px 1px #fff,-19vw 5vh 1px 0px #fff,1vw 42vh 0px 0px #fff,22vw 48vh 0px 1px #fff,39vw -8vh 1px 1px #fff,-6vw -42vh 1px 0px #fff,-47vw 34vh 0px 0px #fff,-46vw 19vh 0px 1px #fff,-12vw -32vh 0px 0px #fff,-45vw -38vh 0px 1px #fff,-28vw 18vh 1px 0px #fff,-38vw -46vh 1px 1px #fff,49vw -6vh 1px 1px #fff,-28vw 18vh 1px 1px #fff,10vw -24vh 0px 1px #fff,-5vw -11vh 1px 1px #fff,33vw -8vh 1px 0px #fff,-16vw 17vh 0px 0px #fff,18vw 27vh 0px 1px #fff,-8vw -10vh 1px 1px #fff;
        
        //stars were too big with the layers above but left the code in case no one cares  -- as in, if noone's just that  one other loner who actually cares
        
        box-shadow: 24vw 9vh 1px 0px #fff,12vw -24vh 0px 1px #fff,-45vw -22vh 0px 0px #fff,-37vw -40vh 0px 1px #fff,29vw 19vh 0px 1px #fff,4vw -8vh 0px 1px #fff,-5vw 21vh 1px 1px #fff,-27vw 26vh 1px 1px #fff,-47vw -3vh 1px 1px #fff,-28vw -30vh 0px 1px #fff,-43vw -27vh 0px 1px #fff,4vw 22vh 1px 1px #fff,36vw 23vh 0px 0px #fff,-21vw 24vh 1px 1px #fff,-16vw 2vh 1px 0px #fff,-16vw -6vh 0px 0px #fff,5vw 26vh 0px 0px #fff,-34vw 41vh 0px 0px #fff,1vw 42vh 1px 1px #fff,11vw -13vh 1px 1px #fff,48vw -8vh 1px 0px #fff,22vw -15vh 0px 0px #fff,45vw 49vh 0px 0px #fff,43vw -27vh 1px 1px #fff,20vw -2vh 0px 0px #fff,8vw 22vh 0px 1px #fff,39vw 48vh 1px 1px #fff,-21vw -11vh 0px 1px #fff,-40vw 45vh 0px 1px #fff,11vw -30vh 1px 0px #fff,26vw 30vh 1px 0px #fff,45vw -29vh 0px 1px #fff,-2vw 18vh 0px 0px #fff,-29vw -45vh 1px 0px #fff,-7vw -27vh 1px 1px #fff,42vw 24vh 0px 0px #fff,45vw -48vh 1px 0px #fff,-36vw -18vh 0px 0px #fff,-44vw 13vh 0px 1px #fff,36vw 16vh 0px 1px #fff,40vw 24vh 0px 0px #fff,18vw 11vh 0px 0px #fff,-15vw -23vh 1px 0px #fff,-24vw 48vh 0px 1px #fff,27vw -45vh 1px 0px #fff,-2vw -24vh 0px 1px #fff,-15vw -28vh 0px 0px #fff,-43vw 13vh 1px 0px #fff,7vw 27vh 1px 0px #fff,47vw 5vh 0px 0px #fff,-45vw 15vh 1px 1px #fff,-5vw -28vh 0px 1px #fff,38vw 25vh 1px 1px #fff,-39vw -1vh 1px 0px #fff,5vw 0vh 1px 0px #fff,49vw 13vh 0px 0px #fff,48vw 10vh 0px 1px #fff,19vw -28vh 0px 0px #fff,4vw 7vh 0px 0px #fff,21vw 21vh 1px 1px #fff,-15vw -15vh 0px 1px #fff,-6vw -42vh 1px 0px #fff,-15vw 48vh 1px 1px #fff,-23vw 25vh 1px 1px #fff,-48vw 25vh 0px 1px #fff,-31vw -19vh 0px 1px #fff,4vw 37vh 1px 1px #fff,-43vw 28vh 0px 0px #fff,3vw -25vh 0px 1px #fff,-39vw 14vh 0px 1px #fff,-40vw 31vh 0px 1px #fff,35vw -36vh 1px 1px #fff,16vw 49vh 0px 0px #fff,6vw 39vh 0px 0px #fff,3vw -35vh 0px 1px #fff,-44vw -2vh 1px 0px #fff,-6vw 21vh 1px 0px #fff,48vw 9vh 1px 1px #fff,-43vw 30vh 1px 1px #fff,29vw -12vh 1px 1px #fff,-48vw 13vh 1px 0px #fff,-42vw 32vh 1px 1px #fff,34vw 15vh 1px 1px #fff,29vw -37vh 1px 1px #fff,28vw 2vh 0px 0px #fff;
        animation: zoom 16s alternate infinite; 
        }

        @keyframes zoom {
            0%{
                transform: scale(1);
            }
            100%{
                transform: scale(1.5);
            }
        }

 Fin GALAXY */

/*debut galaxy 2 */
        .bg {
            background: url(https://microcosm-media.com/wp-content/uploads/2023/12/Fond-etoile-nov-2023-1.png) no-repeat;
            background-size: cover;
            height: 100%;
            width: 100%;
            position: fixed;
            top: 0;
            left: 0;
            z-index: -3;
        }
        .bg:before {
            content: "";
            width: 100%;
            height: 100%;
            background: #000;
            position: fixed;
            z-index: -1;
            top: 0;
            left: 0;
            opacity: 0.3;
        }
        @keyframes sf-fly-by-1 {
            from {
                transform: translateZ(-600px);
                opacity: 0.5;
            }
            to {
                transform: translateZ(0);
                opacity: 0.5;
            }
        }
        @keyframes sf-fly-by-2 {
            from {
                transform: translateZ(-1200px);
                opacity: 0.5;
            }
            to {
                transform: translateZ(-600px);
                opacity: 0.5;
            }
        }
        @keyframes sf-fly-by-3 {
            from {
                transform: translateZ(-1800px);
                opacity: 0.5;
            }
            to {
                transform: translateZ(-1200px);
                opacity: 0.5;
            }
        }
        .star-field {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            perspective: 600px;
            -webkit-perspective: 600px;
            z-index: -1;
        }
        .star-field .layer {
            box-shadow: -411px -476px #cccccc, 777px -407px #d4d4d4, -387px -477px #fcfcfc, -91px -235px #d4d4d4, 491px -460px #f7f7f7, 892px -128px #f7f7f7, 758px -277px #ededed, 596px 378px #cccccc, 647px 423px whitesmoke, 183px 389px #c7c7c7,
                524px -237px #f0f0f0, 679px -535px #e3e3e3, 158px 399px #ededed, 157px 249px #ededed, 81px -450px #ebebeb, 719px -360px #c2c2c2, -499px 473px #e8e8e8, -158px -349px #d4d4d4, 870px -134px #cfcfcf, 446px 404px #c2c2c2,
                440px 490px #d4d4d4, 414px 507px #e6e6e6, -12px 246px #fcfcfc, -384px 369px #e3e3e3, 641px -413px #fcfcfc, 822px 516px #dbdbdb, 449px 132px #c2c2c2, 727px 146px #f7f7f7, -315px -488px #e6e6e6, 952px -70px #e3e3e3,
                -869px -29px #dbdbdb, 502px 80px #dedede, 764px 342px #e0e0e0, -150px -380px #dbdbdb, 654px -426px #e3e3e3, -325px -263px #c2c2c2, 755px -447px #c7c7c7, 729px -177px #c2c2c2, -682px -391px #e6e6e6, 554px -176px #ededed,
                -85px -428px #d9d9d9, 714px 55px #e8e8e8, 359px -285px #cfcfcf, -362px -508px #dedede, 468px -265px #fcfcfc, 74px -500px #c7c7c7, -514px 383px #dbdbdb, 730px -92px #cfcfcf, -112px 287px #c9c9c9, -853px 79px #d6d6d6,
                828px 475px #d6d6d6, -681px 13px #fafafa, -176px 209px #f0f0f0, 758px 457px #fafafa, -383px -454px #ededed, 813px 179px #d1d1d1, 608px 98px whitesmoke, -860px -65px #c4c4c4, -572px 272px #f7f7f7, 459px 533px #fcfcfc,
                624px -481px #e6e6e6, 790px 477px #dedede, 731px -403px #ededed, 70px -534px #cccccc, -23px 510px #cfcfcf, -652px -237px whitesmoke, -690px 367px #d1d1d1, 810px 536px #d1d1d1, 774px 293px #c9c9c9, -362px 97px #c2c2c2,
                563px 47px #dedede, 313px 475px #e0e0e0, 839px -491px #e3e3e3, -217px 377px #d4d4d4, -581px 239px #c2c2c2, -857px 72px #cccccc, -23px 340px #dedede, -837px 246px white, 170px -502px #cfcfcf, 822px -443px #e0e0e0, 795px 497px #e0e0e0,
                -814px -337px #cfcfcf, 206px -339px #f2f2f2, -779px 108px #e6e6e6, 808px 2px #d4d4d4, 665px 41px #d4d4d4, -564px 64px #cccccc, -380px 74px #cfcfcf, -369px -60px #f7f7f7, 47px -495px #e3e3e3, -383px 368px #f7f7f7, 419px 288px #d1d1d1,
                -598px -50px #c2c2c2, -833px 187px #c4c4c4, 378px 325px whitesmoke, -703px 375px #d6d6d6, 392px 520px #d9d9d9, -492px -60px #c4c4c4, 759px 288px #ebebeb, 98px -412px #c4c4c4, -911px -277px #c9c9c9;
            transform-style: preserve-3d;
            position: absolute;
            top: 50%;
            left: 50%;
            height: 4px;
            width: 4px;
            border-radius: 2px;
        }
        .star-field .layer:nth-child(1) {
            animation: sf-fly-by-1 5s linear infinite;
        }
        .star-field .layer:nth-child(2) {
            animation: sf-fly-by-2 5s linear infinite;
        }
        .star-field .layer:nth-child(3) {
            animation: sf-fly-by-3 5s linear infinite;
        }

/*fin galaxy 2 */


/*test form*/


/* ALL */
    /*H2*/
        h2::before
        {
            margin-right: 10px;
            vertical-align: text-top;
        }

        .light-mc-h2 h2::before {
            content: url('https://microcosm-media.com/wp-content/uploads/2024/05/before-h2-dark-.svg');
        }

        .dark-mc-h2 h2::before{
            content: url('https://microcosm-media.com/wp-content/uploads/2024/05/before-h2-light-.svg');
        }

    /* Back to top */
        .eael-ext-scroll-to-top-wrap .eael-ext-scroll-to-top-button{
            border: 1px solid var(--e-global-color-d50ec66);
        }

    /* BTN */

    #dark_btn_mc, .elementor-element.dark-btn-mc .elementor-widget-container .elementor-button-wrapper a.elementor-button,.light-btn-mc a
        {
            transition : 
            border-top 400ms linear, 
            border-right 500ms linear,
            border-bottom 800ms linear, 
            border-left 900ms linear;
            
        }

    #dark_btn_mc
        {
            box-shadow: 0 0 15px 0 #A16DFF00;
        }

        .light-btn-mc a
        {
            border : 1px solid #93D0F400;
        }

    .elementor-element.dark-btn-mc .elementor-widget-container .elementor-button-wrapper a.elementor-button
        {
            border : 1px solid #93D0F400;
        }

            #dark_btn_mc:hover, .elementor-element.dark-btn-mc .elementor-widget-container .elementor-button-wrapper a:hover
            {
                border-top : 1px solid #93D0F4;
                border-right : 1px solid #93D0F4;
                border-bottom : 1px solid #93D0F4;
                border-left : 1px solid #93D0F4;
            }

            .elementor-element.light-btn-mc .elementor-widget-container .elementor-button-wrapper a:hover
            {
                border-top : 1px solid #A16DFF;
                border-right : 1px solid #A16DFF;
                border-bottom : 1px solid #A16DFF;
                border-left : 1px solid #A16DFF;
            }


/* HEADER */

    header.sticky-header {
        /*--header-height: 210.391px;
        --shrink-header-to: 0.6;*/
        --transition: .45s cubic-bezier(.4, 0, .2, 1);
        transition: backdrop-filter var(--transition),
                    box-shadow var(--transition);
    }

    /***
    * Sticky header activated
    */
            header.sticky-header.elementor-sticky--effects {
                background-color: var(--e-global-color-d50ec66);
                box-shadow: 0px 4px 33px 1px rgba(0, 0, 0, .07);
                -webkit-backdrop-filter: saturate(180%) blur(20px);
                backdrop-filter: saturate(180%) blur(20px);
                flex-direction: row;
                height: 80px;
                transition: height var(--transition),
                            background-color var(--transition);
                padding: 10px 0;
            }

    /* Logo */

        .elementor-196 header.elementor-sticky--effects .elementor-element-eee4bea #logomc .elementor-widget-container .eael-svg-draw-container>svg 
        {
            height: 50px;
            width: auto;
        }

        .elementor-196 header.elementor-sticky--effects .elementor-element-eee4bea #logomc .elementor-widget-container .eael-svg-draw-container svg path
        {
            fill: var(--e-global-color-e3adc84);
        }

    /* ICONES */
            .elementor-nav-menu__align-justify .elementor-nav-menu--layout-horizontal .elementor-nav-menu#menu-1-1e606cd>li>a
            {
                flex-direction: column;
                justify-content: end;
                height: 39px;
                height: 46px;
                padding: 26px 5px 5px 5px;
            }

            .elementor-nav-menu__align-justify .elementor-nav-menu--layout-horizontal .elementor-nav-menu#menu-1-1e606cd>li>a:hover 
            {
                box-shadow: 0 0 15px 0 #93D0F4;
                border-radius: 10px;
                color: var(--e-global-color-d50ec66);
                background: var(--e-global-color-e3adc84);
                border: solid 1px #93D0F4;
                
            }

            .elementor-nav-menu__align-justify .elementor-nav-menu--layout-horizontal .elementor-nav-menu#menu-1-1e606cd>li>a:active 
            {
                box-shadow: 0 0 15px 0 #93D0F4;
                border-radius: 10px;
                color: var(--e-global-color-d50ec66);
                background: var(--e-global-color-e3adc84);
                border: solid 1px #93D0F4;
                
            }

            .elementor-nav-menu--layout-horizontal .elementor-nav-menu>li a:not(:hover):not(:focus):not(.elementor-item-active):before
            {
                opacity: 1;
            }

            /* Mobiles */
            @media (max-width: 767px){
                #menu-2-1e606cd li.menu-item a.elementor-item:hover::before
                {
                content: ''; 
                }

                .elementor-sticky--active.elementor-sticky--effects .bdt-element-link.elementor-element.elementor-element-eee4bea.e-con-full.e-flex.e-con.e-child 
                {
                    width: 60%;
                }
            }


        /*Maison*/
            li.menu-item.menu-item-type-custom.menu-item-object-custom.menu-item-199 a:before
            {
                content: url(https://microcosm-media.com/wp-content/uploads/2023/12/house.svg);
                height: 16px;
                width: auto;
                top:5px;
            }

                /*Hover*/
                li.menu-item.menu-item-type-custom.menu-item-object-custom.menu-item-199 a:hover::before, li.menu-item.menu-item-type-custom.menu-item-object-custom.menu-item-199 a:active::before
                {
                    content: url(https://microcosm-media.com/wp-content/uploads/2023/12/house-white.svg);
                    height: 16px;
                    width: auto;
                    top:5px;
                }

        /*Activite*/
            li.menu-item.menu-item-type-custom.menu-item-object-custom.menu-item-200 a:before
            {
                content: url(https://microcosm-media.com/wp-content/uploads/2023/12/planet-microcosm.svg);
                height: 16px;
                width: auto;
                top:5px;
            }

                /*Hover*/
                li.menu-item.menu-item-type-custom.menu-item-object-custom.menu-item-200 a:hover::before, li.menu-item.menu-item-type-custom.menu-item-object-custom.menu-item-200 a:active::before
                {
                    content: url(https://microcosm-media.com/wp-content/uploads/2023/12/planet-microcosm-white.svg);
                    height: 16px;
                    width: auto;
                    top:5px;
                }

        /*Podcasting*/
            li.menu-item.menu-item-type-custom.menu-item-object-custom.menu-item-201 a:before
            {
                content: url(https://microcosm-media.com/wp-content/uploads/2023/12/question.svg);
                height: 16px;
                width: auto;
                top:5px;
            }
                /*Hover*/
                li.menu-item.menu-item-type-custom.menu-item-object-custom.menu-item-201 a:hover::before, li.menu-item.menu-item-type-custom.menu-item-object-custom.menu-item-201 a:active::before
                {
                    content: url(https://microcosm-media.com/wp-content/uploads/2023/12/question-white.svg);
                    height: 16px;
                    width: auto;
                    top:5px;
                }

        /*Realisation*/
            li.menu-item.menu-item-type-custom.menu-item-object-custom.menu-item-202 a:before
            {
                content: url(https://microcosm-media.com/wp-content/uploads/2023/12/micro.svg);
                height: 16px;
                width: auto;
                top:5px;
            }

                /*Hover*/
                li.menu-item.menu-item-type-custom.menu-item-object-custom.menu-item-202 a:hover::before,li.menu-item.menu-item-type-custom.menu-item-object-custom.menu-item-202 a:active::before
                {
                    content: url(https://microcosm-media.com/wp-content/uploads/2023/12/micro-white.svg);
                    height: 16px;
                    width: auto;
                    top:5px;
                }
/* CATALOGUE */
    /*Cadre */
    .elementor-435 .elementor-element.elementor-element-c2797af.cadre-podcast
        {
            box-shadow: 0 0 70px 0 rgb(161, 109, 255, 0.2)!important;
        }

        .elementor-loop-container.elementor-grid .elementor-435:nth-of-type(4n+2)>.elementor-element-c2797af
        {
            background-image: url(https://microcosm-media.com/wp-content/uploads/2024/04/cadre-rea-yellow.svg);
        }

        .elementor-loop-container.elementor-grid .elementor-435:nth-of-type(4n+3)>.elementor-element-c2797af
        {
            background-image: url(https://microcosm-media.com/wp-content/uploads/2024/04/cadre-rea-blue.svg);
        }

        .elementor-loop-container.elementor-grid .elementor-435:nth-of-type(4n+4)>.elementor-element-c2797af
        {
            background-image: url(https://microcosm-media.com/wp-content/uploads/2024/04/cadre-rea-pink.svg);
        }

/*Encart podcasts home*/
    .elementor-element-9493808
    {
        overflow: scroll;
        scrollbar-color: #A16DFF #070019;
    }

    .ct-elementor-default-template .elementor-element-214a6df.e-con>.e-con-inner
    {
        width: 210%!important;
    }

    /*
    .elementor-element-8a89fce, .elementor-element-85afbee, .elementor-element-10a1b96, .elementor-element-e0a2169, .elementor-element-ad6d6f3, .elementor-element-699644d, .elementor-element-bbb1744, .elementor-element-b336d66
    {
        width: 22%!important;
    }
    */

    /*Mobiles*/
        @media (max-width: 767px){
            .ct-elementor-default-template .elementor-element-214a6df.e-con>.e-con-inner
            {
                min-width: 500%;
            }
        }
    

/* NEWSLETTER */
    /* Form*/
        #mailpoet_form_1 form.mailpoet_form.mailpoet_form_form {
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;
        }

    /*Champs*/

        /* Mobiles */
        @media (max-width: 767px){
            #mailpoet_form_1.mailpoet_form form.mailpoet_form.mailpoet_form_form .mailpoet_paragraph
            {
                width : 100%;
            }

            #mailpoet_form_1 form.mailpoet_form
            {
                display: flex;
                flex-direction: column;
            }
        }

        #mailpoet_form_1 form.mailpoet_form .mailpoet_paragraph:nth-of-type(-n+2)
        {
            width : 48%;
        }

        #mailpoet_form_1 form.mailpoet_form .mailpoet_paragraph:nth-of-type(3)
        {
            width : 78%;
        }

        #mailpoet_form_1 form.mailpoet_form .mailpoet_paragraph:nth-of-type(4)
        {
            width : 20%;
            height:fit-content;
        }

        


/* Footer */
.btn-nl-mc
{

}

/* Modale podcast */
div.dialog-type-lightbox#elementor-popup-modal-919
{
    height: 0;
}